Tracking
The tracking resource is used to track counts of custom items.
Tracking object
{
"id": "019dfeb8-e8a1-79f2-a4df-77f1ce2d9e2f",
"tenant": "01988bb8-1cfb-7c87-9326-93op0349288e",
"item": "019dfeb7-e72d-7334-ae0a-44a367c829f3",
"date_tracked": "2026-05-06",
"count": "7.00",
"contact": "0198a644-76a6-7d6b-a249-8rvm78aok59p",
"location": "0198cf97-47e0-7930-bfa8-f480a0614068",
"unit": null,
"notes": null,
"archived_at": null,
"created_at": "2026-05-06 19:17:04",
"updated_at": null
}
Fields
- idrequired readonly stringUnique ID of the record.
- tenantrequired readonly stringUnique ID of the tenant.
- itemrequired stringUnique ID of the item.
- date_trackedrequired stringDate the item was tracked in
YYYY-MM-DDformat. - countrequired stringCount of the item tracked. Must be a positive number with up to 2 decimal places.
- contactnullable stringUnique ID of the associated contact.
- locationnullable stringUnique ID of the associated location.
- unitnullable stringUnique ID of the associated unit.
- notesnullable stringNotes about the tracking record.
- archived_atnullable stringUTC timestamp of when the record was archived.
- created_atrequired readonly stringUTC timestamp of when the record was created.
- updated_atnullable readonly stringUTC timestamp of when the record was last updated.
Create a tracking
POST /tenants/{tenantId}/tracking
The request body must include a tracking object.
Required permissions
tracking:create contacts:read locations:read options:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 201 | Created | Successfully created | Tracking object |
| 400 | Bad Request | Invalid or missing field(s) | Error object |
| 404 | Not Found | Tenant not found | Error object |
List trackings
GET /tenants/{tenantId}/tracking
This endpoint also supports filtering records to only those associated with specific contact types using query parameters.
?member=true: Returns only records associated with contacts that are members. Requires themembers:readpermission.?member=false: Returns only records associated with contacts that are not members. Requires themembers:readpermission.?staff=true: Returns only records associated with contacts that are staff. Requires thestaff:readpermission.?staff=false: Returns only records associated with contacts that are not staff. Requires thestaff:readpermission.
Required permissions
tracking:read contacts:read locations:read options:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | An associative array of tracking objects | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant not found | Error object |
Read a tracking
GET /tenants/{tenantId}/tracking/{id}
Required permissions
tracking:read contacts:read locations:read options:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Tracking object | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant or tracking ID not found | Error object |
Update a tracking
PATCH /tenants/{tenantId}/tracking/{id}
The request body must include parts of a tracking object.
Required permissions
tracking:update contacts:read locations:read options:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Updated tracking record | Tracking object |
| 400 | Bad Request | Invalid or missing field(s) | Error object |
| 404 | Not Found | Tenant or tracking ID not found | Error object |
Delete a tracking
DELETE /tenants/{tenantId}/tracking/{id}
Required permissions
tracking:delete
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 204 | No content | Successfully deleted | |
| 404 | Not Found | Tenant ID not found | Error object |
Was this page helpful?